Summary:    OpenStack Profiler Library
Name:       python-osprofiler
Version:    4.1.0
Release:    3%{?dist}
License:    Apache-2.0
URL:        https://docs.openstack.org/osprofiler/latest/
Source0:    https://tarballs.opendev.org/openstack/osprofiler/osprofiler-%{version}.tar.gz

Requires:   python3-prettytable python3-webob python3-netaddr python3-requests python3-six python3-importlib-metadata
Requires:   python3-bandit python3-coverage python3-ddt python3-elasticsearch python3-flake8-import-order python3-hacking
Requires:   python3-jaeger-client python3-openstackdocstheme python3-pymongo python3-redis python3-reno python3-sphinx
Requires:   python3-stestr python3-testtools

BuildArch:  noarch

%description
OSProfiler provides a tiny but powerful library that is used
by most (soon to be all) OpenStack projects and their python
clients. It provides functionality to generate 1 trace per
request, that goes through all involved services. This trace
can then be extracted and used to build a tree of calls which
can be quite handy for a variety of reasons (for example in
isolating cross-project performance issues).

%package -n python3-osprofiler
Summary:        OpenStack Profiler Library
BuildRequires:  python3-devel python3-setuptools python3-pip python3-pbr
Provides:       python-osprofiler

%description -n python3-osprofiler
OSProfiler provides a tiny but powerful library that is used
by most (soon to be all) OpenStack projects and their python
clients. It provides functionality to generate 1 trace per
request, that goes through all involved services. This trace
can then be extracted and used to build a tree of calls which
can be quite handy for a variety of reasons (for example in
isolating cross-project performance issues).

%prep
%autosetup -n osprofiler-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}/%{_pkgdocdir}

%files -n python3-osprofiler
%{_docdir}/*
%{python3_sitelib}/osprofiler
%{python3_sitelib}/*.egg-info
%{_bindir}/osprofiler

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 4.1.0-3
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.0-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 kianli <kianli@tencent.com> - 4.1.0-1
- Upgrade to 4.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Miaojun Dong <zoedong@tencent.com> - 3.4.0-1
- initial build
